function onBegin()
	disableMovement()
	waitUntilOnGround()
	say("CC_Inferno_Precity")
	walkTo(-200)
	wait(0.5)
	say("CC_Inferno_Precity2")
	wait(0.2)
	setFlag("Blackout",true)
	wait(0.6)
end
function onEnd()
	enableMovement()
	teleport(348,164,"a-start")
end